searchData={"items":[{"type":"module","title":"Hexdump","doc":"Hexdump makes it easier to work with binary data\n\nBy default elixir display binaries as a list of integers in the range from 0..255\n\nThis make it problematic to spot binary patterns\n\nour example binary:\n\n```\nterm =  >   \"123abcdefxyz\"    >\n```\n\n```\n >\n```\n\nYou can pass a param to IO.inspect(term, base: :hex) to print the same term as hex,\nthis makes it a bit easier.\n\n```\n >\n```\n\nWith Hexdump you can see similar output like hex editors have:\n\nThe first column is offset\n\nsecond shows a row of 16 bits in binary\n\nlast column shows printable characers\n\n```\n0000000  0001 0203 0431 3233 6162 6364 6566 7879   .....123abcdefxy\n0000010  7AFD FEFF                                 z...\n```\n\nYou can switch between hexdump output by calling:\n\n```\nHexdump.on()\nHexdump.off()\nHexdump.on(binaries: :infer)\nHexdump.on(binaries: :as_strings)\n```","ref":"Hexdump.html"},{"type":"function","title":"Hexdump.format_hexdump_output/2","doc":"Formatter used in the custom inspect function\ncolors meaning:\n\n - grey: zero byte 0x00\n - green: whitespace\n - yellow: ascii non printable\n - red: non ascii char\n - cyan: printable character","ref":"Hexdump.html#format_hexdump_output/2"},{"type":"function","title":"Hexdump.hexdump_inspect_fun/2","doc":"Custom inspect function","ref":"Hexdump.html#hexdump_inspect_fun/2"},{"type":"function","title":"Hexdump.hexdump_output/2","doc":"When printable limit is smaller than the size of binary we only display\nthe amount of bytes plus last line of the binary","ref":"Hexdump.html#hexdump_output/2"},{"type":"function","title":"Hexdump.off/0","doc":"Restores the standard inspect function","ref":"Hexdump.html#off/0"},{"type":"function","title":"Hexdump.on/1","doc":"Enables the custom inspect function","ref":"Hexdump.html#on/1"},{"type":"function","title":"Hexdump.remove_escapes/1","doc":"Replace terminal escape sequences with empty string.\nUsed for removing coloring from the generated string.","ref":"Hexdump.html#remove_escapes/1"},{"type":"extras","title":"Hexdump","doc":"# Hexdump\n\n  Docs can be found on [hexdocs](https://hexdocs.pm/hexdump)\n\n  Hexdump makes it easier to work with binary data.\n\n  By default elixir display binaries as a list of integers in the range from 0..255.\n\n  This make it problematic to spot binary patterns.\n\n  example binary:\n  ```\n  term =  >   \"123abcdefxyz\"    >\n  ```\n\n  ```\n   >\n  ```\n\n  You can pass a param to IO.inspect(term, base: :hex) to print the same term as hex,\n  this makes it a bit easier to decipher.\n\n  ```\n   >\n  ```\n\n  With Hexdump you can see similar output like in hex editors\n\n  ![livebook example](livebook.png)\n  ![terminal example](terminal.png)\n\n  You can switch between hexdump output by calling:\n\n  ```\n  Hexdump.on()\n  Hexdump.off()\n  Hexdump.on(binaries: :infer)\n  Hexdump.on(binaries: :as_strings)\n  ```","ref":"readme.html"},{"type":"extras","title":"Installation - Hexdump","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `hexdump` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:hexdump, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown"}